curl --request GET \
--url https://external.pleo.io/v1/teams \
--header 'Authorization: Bearer <token>'import requests
url = "https://external.pleo.io/v1/teams"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://external.pleo.io/v1/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"createdAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"code": "<string>",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"employees": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"pagination": {
"currentRequestPagination": {
"parameters": {},
"after": "<string>",
"before": "<string>",
"limit": 123,
"offset": 123,
"sortingKeys": [
"<string>"
],
"sortingOrder": [
"ASC"
]
},
"hasNextPage": true,
"hasPreviousPage": true,
"endCursor": "<string>",
"startCursor": "<string>",
"total": 123
}
}Search for teams
Use this endpoint to search for teams belonging to a company or an organisation. If employeeId or teamId are provided, the results are further filtered to teams matching those ids.
Authorizations
JWT Bearer token authentication. Include the token in the Authorization header as: Bearer <token>
Query Parameters
Enter the company ID of the teams you are searching for. Ensure that the access token used for authentication has the correct permissions to search for teams in the given company.
Enter the organisation ID of the teams you are searching for. Ensure that the access token used for authentication has the correct permissions to search for teams in the given organisation.
Search for teams that have the given Employee IDs as members.
Search for teams with the given Team IDs.
When used along side organizationId, returns all teams in the organisation and all companies in the organisation.
Filter teams by a partial match on the team name.
Whether to include the total count of teams matching the search in the response.
Lower bound of the page of data to return (cannot be used together with [after] or [offset]).
^[A-Z2-7=~]+$Upper bound of the page of data to return (cannot be used together with [before] or [offset]).
^[A-Z2-7=~]+$Offset of the page of data to return (cannot be used together with [before] or [after]).
x >= 0The maximum amount of items to return.
x >= 0The keys to sort the results by.
The order to sort the results by. Must be the same length as [sortingKeys]; one order per key.
ASC, ASC_NULLS_FIRST, ASC_NULLS_LAST, DESC, DESC_NULLS_FIRST, DESC_NULLS_LAST Was this page helpful?